<%@ page buffer="8kb" autoFlush="true" %>
<%@ page pageEncoding="UTF-8" contentType="text/html; charset=UTF-8" %>
<%@ page session="false" %>
<%
	int option = 0;
	try {
		option = Integer.parseInt(request.getParameter("op"));
	} catch(Exception e){
		throw e;
	}
%>
<html>
	<head>
		<title>My Digital Office</title>
		<link rel="stylesheet" type="text/css" href="/css/common,login,zhtml,skin.css?skin=swisscom">
		<link rel="SHORTCUT ICON" href="/img/logo/favicon.ico">
		<script src="//code.jquery.com/jquery-1.9.1.js"></script>
		<script src="//ajax.aspnetcdn.com/ajax/jquery.validate/1.9/jquery.validate.min.js"></script>
		<script language="javascript">
			var browser = {
				chrome: false,
				mozilla: false,
				opera: false,
				msie: false,
				safari: false
			};
			var sUsrAg = navigator.userAgent;
			if(sUsrAg.indexOf("Chrome") > -1) {
				browser.chrome = true;
			} else if (sUsrAg.indexOf("Safari") > -1) {
				browser.safari = true;
			} else if (sUsrAg.indexOf("Opera") > -1) {
				browser.opera = true;
			} else if (sUsrAg.indexOf("Firefox") > -1) {
				browser.mozilla = true;
			} else if (sUsrAg.indexOf("MSIE") > -1) {
				browser.msie = true;
			}

			if(browser.safari){
				$(function() {
					$("#feedbackForm").validate({
						rules: {
							name: "required",
							vorname: "required",
							email: {
								required: true,
								email: true
							},
							tel:{
								required: true,
								number:true
							}
						},
						messages: {
						    name: "Bitte Vorname eingeben",
						    vorname: "Bitte Nachname eingeben",
						    email: "Bitte eine gültige Email Adresse eingeben",
						    tel: "Bitte eine gültige Telefonnummer eingeben"
						},
						submitHandler: function(form) {
							form.submit();
						}
				    });
				});
			}
		</script>
	</head>
	<body>
		<div class="LoginScreen">
		<div class="center">
		<div class="loginupperlogo"></div>
		<div class="contentBox">
			<h1><a href="https://www.swisscom.ch/de/business/my-digital-office.html" id="bannerLink" target="_new" title="My Digital Office "><span class="ScreenReaderOnly">My Digital Office </span>
					<span class="ImgLoginBanner"></span>
			</a></h1>
			<form id="feedbackForm" name="feedbackForm" action="submit_feedback.jsp" method="POST">
				<table>
					<tr>
						<td><label for="topic">Mein Anliegen</label></td>
						<td>
							<select name="topic" id="topic">
								<option value="1">Ich habe mein Passwort vergessen</option>
								<option value="2">Ich habe meinen Benutzernamen vergessen</option>
								<option value="3">Ich benötige Hilfe</option>
								<option value="4">Ich möchte Feedback geben</option>
							</select>
						</td>
					</tr>
					<tr>
						<td><label for="name">Nachname</label></td>
						<td><input required type="text" name="name" id="name"/></td>
					</tr>
					<tr>
						<td><label for="vorname">Vorname</label></td>
						<td><input required type="text" name="vorname" id="vorname"/></td>
					</tr>
					<tr>
						<td><label for="telefon">Telefonnummer</label></td>
						<td><input required type="tel" placeholder="+41 78 885 06 88" pattern="[+]{1}[0-9\s]{15}" name="telefon" id="telefon" title="+41 78 885 06 88" onkeyup="formatNumber(event)"/></td>
					</tr>
					<tr>
						<td><label for="email">E-Mail Adresse</label></td>
						<td><input placeholder="hans.muster@beispiel.ch"  pattern="^[a-zA-Z0-9_.+-]+@[a-zA-Z0-9-]+\.[a-zA-Z0-9-.]+$" required type="email" name="email" id="email" title="hans.muster@beispiel.ch"/></td>
					</tr>
					<tr>
						<td><label for="beschreibung">Beschreibung</label></td>
						<td><textarea name="beschreibung" id="beschreibung"></textarea></td>
					</tr>
					<tr>
						<td>&nbsp;</td>
						<td><input class="ZLoginButton DwtButton" type="submit" name="submit" id="submit" value="Abschicken"/></td>
					</tr>
					<tr>
						<td colspan="2"><hr class="classHR"/></td>
					</tr> 
					<tr>
						<td><a href="/" class="backLink">&lt; Zurück zum Login</a></td>
						<td>&nbsp;</td>
					</tr>
				</table>
			</form>
		</div>
		</div>
		</div>
	</body>
	<script>
		document.getElementById("topic").getElementsByTagName('option')['<%=option%>'].selected = 'selected';
		function formatNumber(e) {
			if(e.keyCode == 8) {
				return;
			}
			var obj = document.getElementById("telefon");
			var phone = obj.value.replace(/ /g, '');
			var phoneWithPattern = phone.substr(0,3) + ' ' + phone.substr(3,2) + ' ' + phone.substr(5,3) + ' ' + phone.substr(8,2) + ' ' + phone.substr(10,2);
			document.getElementById("telefon").value = phoneWithPattern.trim();
		}
        </script>
</html>
