<%@ page buffer="8kb" autoFlush="true" %>
<%@ page pageEncoding="UTF-8" contentType="text/html; charset=UTF-8" %>
<%@ page session="false" %>
<%@ page import="com.zimbra.cs.account.soap.SoapProvisioning"%>
<%@ page import="com.zimbra.cs.account.Account"%>
<%@ page import="com.zimbra.cs.account.ZimbraAuthToken"%>
<%@ page import="com.zimbra.cs.mailbox.MailboxManager"%>
<%@ page import="com.zimbra.cs.mailbox.OperationContext"%>
<%@ page import="com.zimbra.common.mime.shim.JavaMailMimeBodyPart"%>
<%@ page import="com.zimbra.common.mime.shim.JavaMailMimeMultipart"%>
<%@ page import="javax.mail.internet.MimeBodyPart"%>
<%@ page import="javax.mail.internet.MimeMultipart"%>
<%@ page import="javax.mail.internet.MimeMessage"%>
<%@ page import="com.zimbra.common.mime.shim.JavaMailInternetAddress"%>
<%@ page import="java.util.ArrayList"%>
<%@ page import="com.zimbra.cs.util.JMSession"%>
<%@ page import="javax.mail.Message"%>
<%@ page import="com.zimbra.cs.mailbox.MailSender"%>
<%@ page import="com.zimbra.cs.mailbox.Mailbox"%>
<%@ page import="com.zimbra.client.ZMailbox.ZOutgoingMessage.MessagePart"%>
<%@ page import="com.zimbra.client.ZMailbox.ZOutgoingMessage"%>
<%@ page import="com.zimbra.client.ZEmailAddress"%>
<%@ page import="com.zimbra.client.ZMailbox"%>
<%@ page import="java.io.BufferedReader"%>
<%@ page import="java.io.InputStreamReader"%>
<%@ page import="java.net.HttpURLConnection"%>
<%@ page import="java.net.URL"%>
<%@ page import="org.json.simple.JSONObject"%>
<%@ page import="org.json.simple.parser.JSONParser"%>
<%
	try{
		int topic = Integer.parseInt(request.getParameter("topic"));
		String name = request.getParameter("name");
		String vorname = request.getParameter("vorname");
		String telefon =  request.getParameter("telefon");
		String email = request.getParameter("email");
		String beschreibung = request.getParameter("beschreibung");
		String subject = "New customer feedback from " + email;
		String to = "mdo@nova.swisscom.com";
		String from = "help@mydigitaloffice.ch";

		String getProtocol=request.getScheme();
		String getDomain=request.getServerName();
		String fullPath = getProtocol+"://"+getDomain;

		URL obj = new URL(fullPath+"/DelegatedAdmin/middleware/rest/account/system-info");
		HttpURLConnection con = (HttpURLConnection) obj.openConnection();
		con.setRequestMethod("GET");

		int responseCode = con.getResponseCode();
		BufferedReader in = new BufferedReader(new InputStreamReader(con.getInputStream()));
		String inputLine;
		StringBuffer res = new StringBuffer();
		while ((inputLine = in.readLine()) != null) {
			res.append(inputLine);
		}
		in.close();
		JSONParser jsonParser = new JSONParser();
		JSONObject jsonObject  =(JSONObject) jsonParser.parse(res.toString());
		JSONObject result = (JSONObject) jsonObject.get("result");
		String supportSender = result.get("SupportFormSenderAddress").toString();

		switch(topic){
			case 1:
				subject = "Ich habe mein Passwort vergessen";
				break;
			case 2:
				subject = "Ich habe meinen Benutzernamen vergessen";
				break;
			case 3:
				subject = "Ich benötige Hilfe";
				break;
			default:
				subject = "Ich möchte Feedback geben";
		}

		if(!"".equals(beschreibung)){
			beschreibung = beschreibung.replaceAll("\r\n","<br/>").replaceAll("\n","<br/>");
		}

		StringBuilder body = new StringBuilder("Hallo, <br/>");
		body.append("Mein Anliegen: " + subject + "<br/>");
		body.append("Nachname: " + name + "<br/>");
		body.append("Vorname: " + vorname + "<br/>");
		body.append("Telefonnummer: " + telefon + "<br/>");
		body.append("Email Adresse: " + email + "<br/>");
		body.append("Beschreibung: " + beschreibung + "<br/>");


		SoapProvisioning sp = SoapProvisioning.getAdminInstance();
		Account account = sp.getAccount(supportSender,true);
		if(account == null) {
			account = sp.getAccount(from,true);
		}
		MessagePart msgPart = new MessagePart("text/html;charset=utf-8",body.toString());
		ZOutgoingMessage omsg  = new ZOutgoingMessage();
		omsg.setSubject(subject);
		ArrayList emailList = new ArrayList();
		emailList.add(new ZEmailAddress(to,null,null,ZEmailAddress.EMAIL_TYPE_TO));
		emailList.add(new ZEmailAddress(account.getMail(),null,null,ZEmailAddress.EMAIL_TYPE_SENDER));
		omsg.setAddresses(emailList);
		omsg.setMessagePart(msgPart);
		ZimbraAuthToken authToken = new ZimbraAuthToken(account);
		String eAuthToken = authToken.getEncoded();
		ZMailbox mailbox = ZMailbox.getByAuthToken(eAuthToken,SoapProvisioning.getLocalConfigURI());
		mailbox.sendMessage(omsg, null,false);
%>
<html>
<head>
        <title>My Digital Office</title>
	<link rel="stylesheet" type="text/css" href="/css/common,login,zhtml,skin.css?skin=swisscom">
	<link rel="SHORTCUT ICON" href="/img/logo/favicon.ico">
</head>
<body>
	<div class="LoginScreen">
        <div class="center">
	<div class="loginupperlogo"></div>
        <div class="contentBox">
            <h1><a href="https://www.swisscom.ch/de/business/my-digital-office.html" id="bannerLink" target="_new" title="My Digital Office "><span class="ScreenReaderOnly">My Digital Office </span>
                    <span class="ImgLoginBanner"></span>
            </a></h1>
                <p style="margin-left: 7%;">Besten Dank für Ihre Anfrage! <br/> Wir bearbeiten Ihr Anliegen so rasch wie möglich.</p>
                <br/>
		<br/>
                <hr class="submitClassHR"/></td>
                <a href="/" class="backLink" >&lt; Zurück zum Login</a>
	</div>
	</div>
	</div>
<%
        }catch(Exception e){
		throw e;
        }
%>
</body>
</html>

